Cluster EVC Manager Check Configure Evc Mode Task

Cluster EVC Manager Check Configure Evc Mode Task
Test the validity of configuring an EVC mode on the managed cluster.

Test the validity of configuring an EVC mode on the managed cluster.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/ClusterEVCManager/{moId}/CheckConfigureEvcMode_Task
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case ClusterEVCManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
CheckConfigureEvcModeRequestType of type(s) application/json
Required

Show optional properties

{
    "evcModeKey": "string"
}
{
    "evcModeKey": "string",
    "evcGraphicsModeKey": "string"
}
string
evcModeKey
Required

A key referencing the desired EVC mode.

string
evcGraphicsModeKey
Optional

A key referencing the desired EVC Graphics mode Capability.supportedEVCGraphicsMode.

Since: vSphere API Release 7.0.1.0

Authentication
This operation uses the following authentication methods.
Responses
200

This method returns a Task object with which to monitor the operation.

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"evcModeKey":"string"}' https://{api_host}/sdk/vim25/{release}/ClusterEVCManager/{moId}/CheckConfigureEvcMode_Task